﻿function Show(obj){
	obj._visible = true;
}

function Hide(obj){
	obj._visible = false;
}

function StretchCenter(obj,width,height){
	if(height<=0)height=1;
	tmp_height = height;
	tmp_width = obj._width*tmp_height/obj._height;
	obj._x = (width-tmp_width)/2;
	obj._y = 0;
	if(tmp_width>width){
		tmp_width = width;
		tmp_height = obj._height*tmp_width/obj._width;
		obj._x = 0;
		obj._y = (height-tmp_height)/2;
	}
	obj._width = tmp_width;
	obj._height = tmp_height;
}

function Center(obj,width,height){
	obj._y = height/2;
	obj._x = width/2;
}

function GetType(filename){
	ext = filename.substring(filename.length-4,filename.length);
	if(ext==".mp3")return "mp3";
	if(ext==".flv")return "flv";
	if(ext==".xml")return "xml";
	if(ext==".mp4")return "mp4";
	return "";
}

function OpenImg(obj,img){
	obj.clear();
	obj.createEmptyMovieClip("holder",1); 
	obj.holder.loadMovie(img);
	obj.onEnterFrame=function(){
		//trace("100%: "+obj.holder.getBytesLoaded()+" "+obj.holder.getBytesTotal());
		percent=(obj.holder.getBytesLoaded()/obj.holder.getBytesTotal())*100;
		if(!isNan(percent)){
			Show(mc_load);
			trace(percent+"% loaded");
		}else{
			trace("0% loaded");
		}
		if(percent == 100){
			Hide(mc_load);
			//trace("100%: "+mc_img._width+" "+mc_img._height);
			Share(Stage.width,Stage.height,nsWidth,nsHeight);
			delete obj.onEnterFrame;
		}
	} 
}

